Bug 1300569 - Review Request: langpacks - Langpacks meta-package
Review Request: langpacks - Langpacks meta-package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1238406
  Show dependency treegraph
 
Reported: 2016-01-21 02:40 EST by Parag Nemade
Modified: 2016-01-31 23:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-31 23:34:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2016-01-21 02:40:54 EST
Spec URL: http://pnemade.fedorapeople.org/fedora-work/langpack.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/langpack-1.0-1.fc23.src.rpm

Description:
Langpack metapackage to provide individual langpacks packages.
Comment 1 Jens Petersen 2016-01-21 03:20:30 EST
Okay I'm thinking now after all it may be better to name this "langpacks"
rather than "langpack" as you originally had planned since typically
the meta packages will cause more than one langpack to be installed
for a language (and consistency with [1]), including the glibc locale
(planned for F24 [2]).
(On the other hand langpack is more consistent with *-langpack-* [3],
but linguistically probably "langpacks-*" makes more sense for this package.)

[1] https://fedoraproject.org/wiki/PackagingDrafts/Langpack
[2] https://fedoraproject.org/wiki/Releases/24/ChangeSet#Glibc_locale_subpackaging
[3] https://fedoraproject.org/wiki/Talk:PackagingDrafts/Langpack
Comment 3 Jens Petersen 2016-01-22 04:57:55 EST
I don't know if the license matters here: MIT could also be a option
though traditionally we have defaulted to GPLv2+ for these kind of packages.
I hope we don't need to ship any COPYING file.

Anyone know any other metapackages in Fedora?

Overall the package looks fine to me.
I think the only discussion point currently is how many
or rather what locales to split out.

I think pt_PT might be better than pt, and also bn_BD than bn.
Not sure if en_GB is really needed at this point,
but again it depends on how much we decide to split up the langs.
Comment 4 Jens Petersen 2016-01-22 05:00:58 EST
W: spelling-error metapackage -> meta package, meta-package, prepackage

I might vote for "meta-package" (for rpmlint).
Comment 5 Parag Nemade 2016-01-26 05:49:08 EST
okay changed to meta-package and reuploaded same package.

I found only one metapackages that is estonianidcard and other one I find git-all a subpackage metapackage.
Comment 6 Parag Nemade 2016-01-26 06:59:11 EST
Spec URL: http://pnemade.fedorapeople.org/fedora-work/langpacks.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/langpacks-1.0-2.fc23.src.rpm

Updated to add information on how we chose initial list of langpacks-* subpackages.
Comment 7 Jens Petersen 2016-01-27 06:46:00 EST
There should not be any langpacks.noarch package:
so can you please remove the final %files section?

Also good to add a comment about the %define.


Package Review
==============
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[-]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Package has no sources or they are generated by developer
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     langpacks-af , langpacks-am , langpacks-ar , langpacks-as , langpacks-
     ast , langpacks-be , langpacks-bg , langpacks-bn , langpacks-bs ,
     langpacks-ca , langpacks-cs , langpacks-cy , langpacks-da , langpacks-
     de , langpacks-el , langpacks-en_GB , langpacks-es , langpacks-et ,
     langpacks-eu , langpacks-fa , langpacks-fi , langpacks-fr , langpacks-
     gl , langpacks-gu , langpacks-hi , langpacks-hr , langpacks-hu ,
     langpacks-ia , langpacks-id , langpacks-is , langpacks-it , langpacks-
     ja , langpacks-kk , langpacks-kn , langpacks-ko , langpacks-lt ,
     langpacks-lv , langpacks-mai , langpacks-mk , langpacks-ml ,
     langpacks-mr , langpacks-ms , langpacks-nb , langpacks-ne , langpacks-
     nl , langpacks-nso , langpacks-or , langpacks-pa , langpacks-pl ,
     langpacks-pt , langpacks-pt_BR , langpacks-ro , langpacks-ru ,
     langpacks-si , langpacks-sk , langpacks-sl , langpacks-sq , langpacks-
     sr , langpacks-sv , langpacks-ta , langpacks-te , langpacks-th ,
     langpacks-tr , langpacks-uk , langpacks-ur , langpacks-vi , langpacks-
     zh_CN , langpacks-zh_TW , langpacks-zu
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define mk_pkg() %package -n
     %{name}-%1Summary: %{?2:%(echo %* | sed -e "s/%1 //")} langpacks meta-
     package%description -n %{name}-%1This package provides %{?2:%(echo %*
     | sed -e "s/%1 //")} langpacks meta-package.%files -n %{name}-%1
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: langpacks-1.0-2.fc24.noarch.rpm
          langpacks-af-1.0-2.fc24.noarch.rpm
          langpacks-am-1.0-2.fc24.noarch.rpm
          langpacks-ar-1.0-2.fc24.noarch.rpm
          langpacks-as-1.0-2.fc24.noarch.rpm
          langpacks-ast-1.0-2.fc24.noarch.rpm
          langpacks-be-1.0-2.fc24.noarch.rpm
          langpacks-bg-1.0-2.fc24.noarch.rpm
          langpacks-bn-1.0-2.fc24.noarch.rpm
          langpacks-bs-1.0-2.fc24.noarch.rpm
          langpacks-ca-1.0-2.fc24.noarch.rpm
          langpacks-cs-1.0-2.fc24.noarch.rpm
          langpacks-cy-1.0-2.fc24.noarch.rpm
          langpacks-da-1.0-2.fc24.noarch.rpm
          langpacks-de-1.0-2.fc24.noarch.rpm
          langpacks-el-1.0-2.fc24.noarch.rpm
          langpacks-en_GB-1.0-2.fc24.noarch.rpm
          langpacks-es-1.0-2.fc24.noarch.rpm
          langpacks-et-1.0-2.fc24.noarch.rpm
          langpacks-eu-1.0-2.fc24.noarch.rpm
          langpacks-fa-1.0-2.fc24.noarch.rpm
          langpacks-fi-1.0-2.fc24.noarch.rpm
          langpacks-fr-1.0-2.fc24.noarch.rpm
          langpacks-gl-1.0-2.fc24.noarch.rpm
          langpacks-gu-1.0-2.fc24.noarch.rpm
          langpacks-hi-1.0-2.fc24.noarch.rpm
          langpacks-hr-1.0-2.fc24.noarch.rpm
          langpacks-hu-1.0-2.fc24.noarch.rpm
          langpacks-ia-1.0-2.fc24.noarch.rpm
          langpacks-id-1.0-2.fc24.noarch.rpm
          langpacks-is-1.0-2.fc24.noarch.rpm
          langpacks-it-1.0-2.fc24.noarch.rpm
          langpacks-ja-1.0-2.fc24.noarch.rpm
          langpacks-kk-1.0-2.fc24.noarch.rpm
          langpacks-kn-1.0-2.fc24.noarch.rpm
          langpacks-ko-1.0-2.fc24.noarch.rpm
          langpacks-lt-1.0-2.fc24.noarch.rpm
          langpacks-lv-1.0-2.fc24.noarch.rpm
          langpacks-mai-1.0-2.fc24.noarch.rpm
          langpacks-mk-1.0-2.fc24.noarch.rpm
          langpacks-ml-1.0-2.fc24.noarch.rpm
          langpacks-mr-1.0-2.fc24.noarch.rpm
          langpacks-ms-1.0-2.fc24.noarch.rpm
          langpacks-nb-1.0-2.fc24.noarch.rpm
          langpacks-ne-1.0-2.fc24.noarch.rpm
          langpacks-nl-1.0-2.fc24.noarch.rpm
          langpacks-nso-1.0-2.fc24.noarch.rpm
          langpacks-or-1.0-2.fc24.noarch.rpm
          langpacks-pa-1.0-2.fc24.noarch.rpm
          langpacks-pl-1.0-2.fc24.noarch.rpm
          langpacks-pt-1.0-2.fc24.noarch.rpm
          langpacks-pt_BR-1.0-2.fc24.noarch.rpm
          langpacks-ro-1.0-2.fc24.noarch.rpm
          langpacks-ru-1.0-2.fc24.noarch.rpm
          langpacks-si-1.0-2.fc24.noarch.rpm
          langpacks-sk-1.0-2.fc24.noarch.rpm
          langpacks-sl-1.0-2.fc24.noarch.rpm
          langpacks-sq-1.0-2.fc24.noarch.rpm
          langpacks-sr-1.0-2.fc24.noarch.rpm
          langpacks-sv-1.0-2.fc24.noarch.rpm
          langpacks-ta-1.0-2.fc24.noarch.rpm
          langpacks-te-1.0-2.fc24.noarch.rpm
          langpacks-th-1.0-2.fc24.noarch.rpm
          langpacks-tr-1.0-2.fc24.noarch.rpm
          langpacks-uk-1.0-2.fc24.noarch.rpm
          langpacks-ur-1.0-2.fc24.noarch.rpm
          langpacks-vi-1.0-2.fc24.noarch.rpm
          langpacks-zh_CN-1.0-2.fc24.noarch.rpm
          langpacks-zh_TW-1.0-2.fc24.noarch.rpm
          langpacks-zu-1.0-2.fc24.noarch.rpm
          langpacks-1.0-2.fc24.src.rpm
langpacks.noarch: W: name-repeated-in-summary C Langpacks
langpacks.noarch: W: spelling-error %description -l en_US Langpack -> Lang pack, Lang-pack, Gangplank
langpacks.noarch: W: no-url-tag
langpacks.noarch: W: no-documentation
langpacks-af.noarch: W: no-url-tag
langpacks-af.noarch: W: no-documentation
langpacks-am.noarch: W: no-url-tag
langpacks-am.noarch: W: no-documentation
langpacks-ar.noarch: W: no-url-tag
langpacks-ar.noarch: W: no-documentation
langpacks-as.noarch: W: no-url-tag
langpacks-as.noarch: W: no-documentation
langpacks-ast.noarch: W: spelling-error Summary(en_US) Asturian -> Austrian, Asturias, Arthurian
langpacks-ast.noarch: W: no-url-tag
langpacks-ast.noarch: W: no-documentation
langpacks-be.noarch: W: spelling-error Summary(en_US) Belarusian -> Belorussian, Belarus, Rabelaisian
langpacks-be.noarch: W: no-url-tag
langpacks-be.noarch: W: no-documentation
langpacks-bg.noarch: W: no-url-tag
langpacks-bg.noarch: W: no-documentation
langpacks-bn.noarch: W: no-url-tag
langpacks-bn.noarch: W: no-documentation
langpacks-bs.noarch: W: no-url-tag
langpacks-bs.noarch: W: no-documentation
langpacks-ca.noarch: W: no-url-tag
langpacks-ca.noarch: W: no-documentation
langpacks-cs.noarch: W: no-url-tag
langpacks-cs.noarch: W: no-documentation
langpacks-cy.noarch: W: no-url-tag
langpacks-cy.noarch: W: no-documentation
langpacks-da.noarch: W: no-url-tag
langpacks-da.noarch: W: no-documentation
langpacks-de.noarch: W: no-url-tag
langpacks-de.noarch: W: no-documentation
langpacks-el.noarch: W: no-url-tag
langpacks-el.noarch: W: no-documentation
langpacks-en_GB.noarch: W: no-url-tag
langpacks-en_GB.noarch: W: no-documentation
langpacks-es.noarch: W: no-url-tag
langpacks-es.noarch: W: no-documentation
langpacks-et.noarch: W: no-url-tag
langpacks-et.noarch: W: no-documentation
langpacks-eu.noarch: W: no-url-tag
langpacks-eu.noarch: W: no-documentation
langpacks-fa.noarch: W: no-url-tag
langpacks-fa.noarch: W: no-documentation
langpacks-fi.noarch: W: no-url-tag
langpacks-fi.noarch: W: no-documentation
langpacks-fr.noarch: W: no-url-tag
langpacks-fr.noarch: W: no-documentation
langpacks-gl.noarch: W: spelling-error Summary(en_US) Galician -> Clinician, Galvanic, Alicia
langpacks-gl.noarch: W: no-url-tag
langpacks-gl.noarch: W: no-documentation
langpacks-gu.noarch: W: no-url-tag
langpacks-gu.noarch: W: no-documentation
langpacks-hi.noarch: W: no-url-tag
langpacks-hi.noarch: W: no-documentation
langpacks-hr.noarch: W: no-url-tag
langpacks-hr.noarch: W: no-documentation
langpacks-hu.noarch: W: no-url-tag
langpacks-hu.noarch: W: no-documentation
langpacks-ia.noarch: W: spelling-error Summary(en_US) Interlingua -> Interlining, Interlinear, Interline
langpacks-ia.noarch: W: no-url-tag
langpacks-ia.noarch: W: no-documentation
langpacks-id.noarch: W: no-url-tag
langpacks-id.noarch: W: no-documentation
langpacks-is.noarch: W: no-url-tag
langpacks-is.noarch: W: no-documentation
langpacks-it.noarch: W: no-url-tag
langpacks-it.noarch: W: no-documentation
langpacks-ja.noarch: W: no-url-tag
langpacks-ja.noarch: W: no-documentation
langpacks-kk.noarch: W: no-url-tag
langpacks-kk.noarch: W: no-documentation
langpacks-kn.noarch: W: no-url-tag
langpacks-kn.noarch: W: no-documentation
langpacks-ko.noarch: W: no-url-tag
langpacks-ko.noarch: W: no-documentation
langpacks-lt.noarch: W: no-url-tag
langpacks-lt.noarch: W: no-documentation
langpacks-lv.noarch: W: no-url-tag
langpacks-lv.noarch: W: no-documentation
langpacks-mai.noarch: W: spelling-error Summary(en_US) Maithili -> Lilith
langpacks-mai.noarch: W: no-url-tag
langpacks-mai.noarch: W: no-documentation
langpacks-mk.noarch: W: no-url-tag
langpacks-mk.noarch: W: no-documentation
langpacks-ml.noarch: W: no-url-tag
langpacks-ml.noarch: W: no-documentation
langpacks-mr.noarch: W: no-url-tag
langpacks-mr.noarch: W: no-documentation
langpacks-ms.noarch: W: no-url-tag
langpacks-ms.noarch: W: no-documentation
langpacks-nb.noarch: W: no-url-tag
langpacks-nb.noarch: W: no-documentation
langpacks-ne.noarch: W: no-url-tag
langpacks-ne.noarch: W: no-documentation
langpacks-nl.noarch: W: no-url-tag
langpacks-nl.noarch: W: no-documentation
langpacks-nso.noarch: W: no-url-tag
langpacks-nso.noarch: W: no-documentation
langpacks-or.noarch: W: no-url-tag
langpacks-or.noarch: W: no-documentation
langpacks-pa.noarch: W: no-url-tag
langpacks-pa.noarch: W: no-documentation
langpacks-pl.noarch: W: no-url-tag
langpacks-pl.noarch: W: no-documentation
langpacks-pt.noarch: W: no-url-tag
langpacks-pt.noarch: W: no-documentation
langpacks-pt_BR.noarch: W: no-url-tag
langpacks-pt_BR.noarch: W: no-documentation
langpacks-ro.noarch: W: no-url-tag
langpacks-ro.noarch: W: no-documentation
langpacks-ru.noarch: W: no-url-tag
langpacks-ru.noarch: W: no-documentation
langpacks-si.noarch: W: spelling-error Summary(en_US) Sinhala -> Sinhalese
langpacks-si.noarch: W: no-url-tag
langpacks-si.noarch: W: no-documentation
langpacks-sk.noarch: W: no-url-tag
langpacks-sk.noarch: W: no-documentation
langpacks-sl.noarch: W: no-url-tag
langpacks-sl.noarch: W: no-documentation
langpacks-sq.noarch: W: no-url-tag
langpacks-sq.noarch: W: no-documentation
langpacks-sr.noarch: W: no-url-tag
langpacks-sr.noarch: W: no-documentation
langpacks-sv.noarch: W: no-url-tag
langpacks-sv.noarch: W: no-documentation
langpacks-ta.noarch: W: no-url-tag
langpacks-ta.noarch: W: no-documentation
langpacks-te.noarch: W: no-url-tag
langpacks-te.noarch: W: no-documentation
langpacks-th.noarch: W: no-url-tag
langpacks-th.noarch: W: no-documentation
langpacks-tr.noarch: W: no-url-tag
langpacks-tr.noarch: W: no-documentation
langpacks-uk.noarch: W: no-url-tag
langpacks-uk.noarch: W: no-documentation
langpacks-ur.noarch: W: no-url-tag
langpacks-ur.noarch: W: no-documentation
langpacks-vi.noarch: W: no-url-tag
langpacks-vi.noarch: W: no-documentation
langpacks-zh_CN.noarch: W: no-url-tag
langpacks-zh_CN.noarch: W: no-documentation
langpacks-zh_TW.noarch: W: no-url-tag
langpacks-zh_TW.noarch: W: no-documentation
langpacks-zu.noarch: W: no-url-tag
langpacks-zu.noarch: W: no-documentation
langpacks.src: W: name-repeated-in-summary C Langpacks
langpacks.src: W: spelling-error %description -l en_US Langpack -> Lang pack, Lang-pack, Gangplank
langpacks.src: W: no-url-tag
71 packages and 0 specfiles checked; 0 errors, 151 warnings.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: そのようなファイルやディレクトリはありません
langpacks-pt.noarch: W: no-url-tag
langpacks-pt.noarch: W: no-documentation
langpacks-gl.noarch: W: spelling-error Summary(en_US) Galician -> Clinician, Galvanic, Alicia
langpacks-gl.noarch: W: no-url-tag
langpacks-gl.noarch: W: no-documentation
langpacks-fr.noarch: W: no-url-tag
langpacks-fr.noarch: W: no-documentation
langpacks-ru.noarch: W: no-url-tag
langpacks-ru.noarch: W: no-documentation
langpacks-sq.noarch: W: no-url-tag
langpacks-sq.noarch: W: no-documentation
langpacks-fa.noarch: W: no-url-tag
langpacks-fa.noarch: W: no-documentation
langpacks-en_GB.noarch: W: no-url-tag
langpacks-en_GB.noarch: W: no-documentation
langpacks-de.noarch: W: no-url-tag
langpacks-de.noarch: W: no-documentation
langpacks-mk.noarch: W: no-url-tag
langpacks-mk.noarch: W: no-documentation
langpacks-fi.noarch: W: no-url-tag
langpacks-fi.noarch: W: no-documentation
langpacks-da.noarch: W: no-url-tag
langpacks-da.noarch: W: no-documentation
langpacks-pt_BR.noarch: W: no-url-tag
langpacks-pt_BR.noarch: W: no-documentation
langpacks-th.noarch: W: no-url-tag
langpacks-th.noarch: W: no-documentation
langpacks-pa.noarch: W: no-url-tag
langpacks-pa.noarch: W: no-documentation
langpacks-lv.noarch: W: no-url-tag
langpacks-lv.noarch: W: no-documentation
langpacks-ml.noarch: W: no-url-tag
langpacks-ml.noarch: W: no-documentation
langpacks-te.noarch: W: no-url-tag
langpacks-te.noarch: W: no-documentation
langpacks-is.noarch: W: no-url-tag
langpacks-is.noarch: W: no-documentation
langpacks-it.noarch: W: no-url-tag
langpacks-it.noarch: W: no-documentation
langpacks-sl.noarch: W: no-url-tag
langpacks-sl.noarch: W: no-documentation
langpacks-ta.noarch: W: no-url-tag
langpacks-ta.noarch: W: no-documentation
langpacks-ca.noarch: W: no-url-tag
langpacks-ca.noarch: W: no-documentation
langpacks-or.noarch: W: no-url-tag
langpacks-or.noarch: W: no-documentation
langpacks-tr.noarch: W: no-url-tag
langpacks-tr.noarch: W: no-documentation
langpacks-mr.noarch: W: no-url-tag
langpacks-mr.noarch: W: no-documentation
langpacks-cy.noarch: W: no-url-tag
langpacks-cy.noarch: W: no-documentation
langpacks-kn.noarch: W: no-url-tag
langpacks-kn.noarch: W: no-documentation
langpacks-ia.noarch: W: spelling-error Summary(en_US) Interlingua -> Interlining, Interlinear, Interline
langpacks-ia.noarch: W: no-url-tag
langpacks-ia.noarch: W: no-documentation
langpacks-id.noarch: W: no-url-tag
langpacks-id.noarch: W: no-documentation
langpacks-cs.noarch: W: no-url-tag
langpacks-cs.noarch: W: no-documentation
langpacks-ar.noarch: W: no-url-tag
langpacks-ar.noarch: W: no-documentation
langpacks-as.noarch: W: no-url-tag
langpacks-as.noarch: W: no-documentation
langpacks-nso.noarch: W: no-url-tag
langpacks-nso.noarch: W: no-documentation
langpacks-ro.noarch: W: no-url-tag
langpacks-ro.noarch: W: no-documentation
langpacks-nl.noarch: W: no-url-tag
langpacks-nl.noarch: W: no-documentation
langpacks-et.noarch: W: no-url-tag
langpacks-et.noarch: W: no-documentation
langpacks-eu.noarch: W: no-url-tag
langpacks-eu.noarch: W: no-documentation
langpacks-ms.noarch: W: no-url-tag
langpacks-ms.noarch: W: no-documentation
langpacks-es.noarch: W: no-url-tag
langpacks-es.noarch: W: no-documentation
langpacks-el.noarch: W: no-url-tag
langpacks-el.noarch: W: no-documentation
langpacks-sr.noarch: W: no-url-tag
langpacks-sr.noarch: W: no-documentation
langpacks-ast.noarch: W: spelling-error Summary(en_US) Asturian -> Austrian, Asturias, Arthurian
langpacks-ast.noarch: W: no-url-tag
langpacks-ast.noarch: W: no-documentation
langpacks-af.noarch: W: no-url-tag
langpacks-af.noarch: W: no-documentation
langpacks-ko.noarch: W: no-url-tag
langpacks-ko.noarch: W: no-documentation
langpacks-zh_CN.noarch: W: no-url-tag
langpacks-zh_CN.noarch: W: no-documentation
langpacks-pl.noarch: W: no-url-tag
langpacks-pl.noarch: W: no-documentation
langpacks-gu.noarch: W: no-url-tag
langpacks-gu.noarch: W: no-documentation
langpacks-am.noarch: W: no-url-tag
langpacks-am.noarch: W: no-documentation
langpacks-mai.noarch: W: spelling-error Summary(en_US) Maithili -> Lilith
langpacks-mai.noarch: W: no-url-tag
langpacks-mai.noarch: W: no-documentation
langpacks-vi.noarch: W: no-url-tag
langpacks-vi.noarch: W: no-documentation
langpacks-uk.noarch: W: no-url-tag
langpacks-uk.noarch: W: no-documentation
langpacks.noarch: W: name-repeated-in-summary C Langpacks
langpacks.noarch: W: spelling-error %description -l en_US Langpack -> Lang pack, Lang-pack, Gangplank
langpacks.noarch: W: no-url-tag
langpacks.noarch: W: no-documentation
langpacks-sv.noarch: W: no-url-tag
langpacks-sv.noarch: W: no-documentation
langpacks-hr.noarch: W: no-url-tag
langpacks-hr.noarch: W: no-documentation
langpacks-bn.noarch: W: no-url-tag
langpacks-bn.noarch: W: no-documentation
langpacks-be.noarch: W: spelling-error Summary(en_US) Belarusian -> Belorussian, Belarus, Rabelaisian
langpacks-be.noarch: W: no-url-tag
langpacks-be.noarch: W: no-documentation
langpacks-bg.noarch: W: no-url-tag
langpacks-bg.noarch: W: no-documentation
langpacks-kk.noarch: W: no-url-tag
langpacks-kk.noarch: W: no-documentation
langpacks-ja.noarch: W: no-url-tag
langpacks-ja.noarch: W: no-documentation
langpacks-hu.noarch: W: no-url-tag
langpacks-hu.noarch: W: no-documentation
langpacks-hi.noarch: W: no-url-tag
langpacks-hi.noarch: W: no-documentation
langpacks-lt.noarch: W: no-url-tag
langpacks-lt.noarch: W: no-documentation
langpacks-zh_TW.noarch: W: no-url-tag
langpacks-zh_TW.noarch: W: no-documentation
langpacks-sk.noarch: W: no-url-tag
langpacks-sk.noarch: W: no-documentation
langpacks-si.noarch: W: spelling-error Summary(en_US) Sinhala -> Sinhalese
langpacks-si.noarch: W: no-url-tag
langpacks-si.noarch: W: no-documentation
langpacks-ne.noarch: W: no-url-tag
langpacks-ne.noarch: W: no-documentation
langpacks-zu.noarch: W: no-url-tag
langpacks-zu.noarch: W: no-documentation
langpacks-bs.noarch: W: no-url-tag
langpacks-bs.noarch: W: no-documentation
langpacks-ur.noarch: W: no-url-tag
langpacks-ur.noarch: W: no-documentation
langpacks-nb.noarch: W: no-url-tag
langpacks-nb.noarch: W: no-documentation
70 packages and 0 specfiles checked; 0 errors, 148 warnings.


Requires
--------
langpacks-pt (rpmlib, GLIBC filtered):

langpacks-gl (rpmlib, GLIBC filtered):

langpacks-fr (rpmlib, GLIBC filtered):

langpacks-ru (rpmlib, GLIBC filtered):

langpacks-sq (rpmlib, GLIBC filtered):

langpacks-fa (rpmlib, GLIBC filtered):

langpacks-en_GB (rpmlib, GLIBC filtered):

langpacks-de (rpmlib, GLIBC filtered):

langpacks-mk (rpmlib, GLIBC filtered):

langpacks-fi (rpmlib, GLIBC filtered):

langpacks-da (rpmlib, GLIBC filtered):

langpacks-pt_BR (rpmlib, GLIBC filtered):

langpacks-th (rpmlib, GLIBC filtered):

langpacks-pa (rpmlib, GLIBC filtered):

langpacks-lv (rpmlib, GLIBC filtered):

langpacks-ml (rpmlib, GLIBC filtered):

langpacks-te (rpmlib, GLIBC filtered):

langpacks-is (rpmlib, GLIBC filtered):

langpacks-it (rpmlib, GLIBC filtered):

langpacks-sl (rpmlib, GLIBC filtered):

langpacks-ta (rpmlib, GLIBC filtered):

langpacks-ca (rpmlib, GLIBC filtered):

langpacks-or (rpmlib, GLIBC filtered):

langpacks-tr (rpmlib, GLIBC filtered):

langpacks-mr (rpmlib, GLIBC filtered):

langpacks-cy (rpmlib, GLIBC filtered):

langpacks-kn (rpmlib, GLIBC filtered):

langpacks-ia (rpmlib, GLIBC filtered):

langpacks-id (rpmlib, GLIBC filtered):

langpacks-cs (rpmlib, GLIBC filtered):

langpacks-ar (rpmlib, GLIBC filtered):

langpacks-as (rpmlib, GLIBC filtered):

langpacks-nso (rpmlib, GLIBC filtered):

langpacks-ro (rpmlib, GLIBC filtered):

langpacks-nl (rpmlib, GLIBC filtered):

langpacks-et (rpmlib, GLIBC filtered):

langpacks-eu (rpmlib, GLIBC filtered):

langpacks-ms (rpmlib, GLIBC filtered):

langpacks-es (rpmlib, GLIBC filtered):

langpacks-el (rpmlib, GLIBC filtered):

langpacks-sr (rpmlib, GLIBC filtered):

langpacks-ast (rpmlib, GLIBC filtered):

langpacks-af (rpmlib, GLIBC filtered):

langpacks-ko (rpmlib, GLIBC filtered):

langpacks-zh_CN (rpmlib, GLIBC filtered):

langpacks-pl (rpmlib, GLIBC filtered):

langpacks-gu (rpmlib, GLIBC filtered):

langpacks-am (rpmlib, GLIBC filtered):

langpacks-mai (rpmlib, GLIBC filtered):

langpacks-vi (rpmlib, GLIBC filtered):

langpacks-uk (rpmlib, GLIBC filtered):

langpacks (rpmlib, GLIBC filtered):

langpacks-sv (rpmlib, GLIBC filtered):

langpacks-hr (rpmlib, GLIBC filtered):

langpacks-bn (rpmlib, GLIBC filtered):

langpacks-be (rpmlib, GLIBC filtered):

langpacks-bg (rpmlib, GLIBC filtered):

langpacks-kk (rpmlib, GLIBC filtered):

langpacks-ja (rpmlib, GLIBC filtered):

langpacks-hu (rpmlib, GLIBC filtered):

langpacks-hi (rpmlib, GLIBC filtered):

langpacks-lt (rpmlib, GLIBC filtered):

langpacks-zh_TW (rpmlib, GLIBC filtered):

langpacks-sk (rpmlib, GLIBC filtered):

langpacks-si (rpmlib, GLIBC filtered):

langpacks-ne (rpmlib, GLIBC filtered):

langpacks-zu (rpmlib, GLIBC filtered):

langpacks-bs (rpmlib, GLIBC filtered):

langpacks-ur (rpmlib, GLIBC filtered):

langpacks-nb (rpmlib, GLIBC filtered):


Provides
--------
langpacks-pt:
    langpacks-pt

langpacks-gl:
    langpacks-gl

langpacks-fr:
    langpacks-fr

langpacks-ru:
    langpacks-ru

langpacks-sq:
    langpacks-sq

langpacks-fa:
    langpacks-fa

langpacks-en_GB:
    langpacks-en_GB

langpacks-de:
    langpacks-de

langpacks-mk:
    langpacks-mk

langpacks-fi:
    langpacks-fi

langpacks-da:
    langpacks-da

langpacks-pt_BR:
    langpacks-pt_BR

langpacks-th:
    langpacks-th

langpacks-pa:
    langpacks-pa

langpacks-lv:
    langpacks-lv

langpacks-ml:
    langpacks-ml

langpacks-te:
    langpacks-te

langpacks-is:
    langpacks-is

langpacks-it:
    langpacks-it

langpacks-sl:
    langpacks-sl

langpacks-ta:
    langpacks-ta

langpacks-ca:
    langpacks-ca

langpacks-or:
    langpacks-or

langpacks-tr:
    langpacks-tr

langpacks-mr:
    langpacks-mr

langpacks-cy:
    langpacks-cy

langpacks-kn:
    langpacks-kn

langpacks-ia:
    langpacks-ia

langpacks-id:
    langpacks-id

langpacks-cs:
    langpacks-cs

langpacks-ar:
    langpacks-ar

langpacks-as:
    langpacks-as

langpacks-nso:
    langpacks-nso

langpacks-ro:
    langpacks-ro

langpacks-nl:
    langpacks-nl

langpacks-et:
    langpacks-et

langpacks-eu:
    langpacks-eu

langpacks-ms:
    langpacks-ms

langpacks-es:
    langpacks-es

langpacks-el:
    langpacks-el

langpacks-sr:
    langpacks-sr

langpacks-ast:
    langpacks-ast

langpacks-af:
    langpacks-af

langpacks-ko:
    langpacks-ko

langpacks-zh_CN:
    langpacks-zh_CN

langpacks-pl:
    langpacks-pl

langpacks-gu:
    langpacks-gu

langpacks-am:
    langpacks-am

langpacks-mai:
    langpacks-mai

langpacks-vi:
    langpacks-vi

langpacks-uk:
    langpacks-uk

langpacks:
    langpacks

langpacks-sv:
    langpacks-sv

langpacks-hr:
    langpacks-hr

langpacks-bn:
    langpacks-bn

langpacks-be:
    langpacks-be

langpacks-bg:
    langpacks-bg

langpacks-kk:
    langpacks-kk

langpacks-ja:
    langpacks-ja

langpacks-hu:
    langpacks-hu

langpacks-hi:
    langpacks-hi

langpacks-lt:
    langpacks-lt

langpacks-zh_TW:
    langpacks-zh_TW

langpacks-sk:
    langpacks-sk

langpacks-si:
    langpacks-si

langpacks-ne:
    langpacks-ne

langpacks-zu:
    langpacks-zu

langpacks-bs:
    langpacks-bs

langpacks-ur:
    langpacks-ur

langpacks-nb:
    langpacks-nb


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1300569
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Upstream Release Monitoring 2016-01-27 08:24:47 EST
pnemade's scratch build of langpacks-1.0-3.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12700025
Comment 11 Jens Petersen 2016-01-27 20:53:48 EST
Looks good to me now, thank you!

Only quibble - might be better to explain why you have to use %define.

APPROVED
Comment 12 Gwyn Ciesla 2016-01-28 10:00:32 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/langpacks
Comment 13 Parag Nemade 2016-01-31 23:34:12 EST
Built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.